# -*- coding: utf-8 -*-
# Generated by Django 1.11.7 on 2017-11-20 15:27
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django_tools.permissions


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('contenttypes', '0002_remove_content_type_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='PublisherStateModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.PositiveIntegerField()),
                ('action', models.CharField(choices=[('publish', 'publish'), ('unpublish', 'unpublish')], editable=False, max_length=9)),
                ('state', models.CharField(choices=[('request', 'request'), ('rejected', 'rejected'), ('accepted', 'accepted')], editable=False, max_length=8)),
                ('request_timestamp', models.DateTimeField(editable=False, null=True, unique=True)),
                ('request_note', models.TextField(blank=True, help_text='Why create this publish/delete request?', null=True, verbose_name='Request Note')),
                ('response_timestamp', models.DateTimeField(editable=False, null=True, unique=True)),
                ('response_note', models.TextField(blank=True, help_text='Why accept or reject this publish/delete request?', null=True, verbose_name='Response Note')),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.ContentType')),
                ('request_user', models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='publisher_publisherstatemodel_request_user', to=settings.AUTH_USER_MODEL)),
                ('response_user', models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='publisher_publisherstatemodel_response_user', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'get_latest_by': 'request_timestamp',
                'ordering': ['-request_timestamp'],
                'permissions': (('direct_publisher', 'publish/unpublish a object directly'), ('ask_publisher_request', 'create a publish/unpublish request'), ('reply_publisher_request', 'accept/reject a publish/unpublish request')),
            },
            bases=(django_tools.permissions.ModelPermissionMixin, models.Model),
        ),
    ]
